Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.trees.tregex.tsurgeon
Class SimpleCharStream

    java.lang.Object
      edu.stanford.nlp.trees.tregex.tsurgeon.SimpleCharStream

    public class SimpleCharStream

extends Object

An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).

Field Summary
`protected static int[]` | `bufcolumn`
`protected static char[]` | `buffer`
`protected static int[]` | `bufline`
`static int` | `bufpos` Position in buffer.
`protected static int` | `column`
`protected static int` | `inBuf`
`protected static Reader` | `inputStream`
`protected static int` | `line`
`protected static int` | `maxNextCharInd`
`protected static boolean` | `prevCharIsCR`
`protected static boolean` | `prevCharIsLF`
`static boolean` | `staticFlag` Whether parser is static.
`protected static int` | `tabSize`

Constructor Summary
`SimpleCharStream(InputStream dstream)` Constructor.
`SimpleCharStream(InputStream dstream, int startline, int startcolumn)` Constructor.
`SimpleCharStream(InputStream dstream, int startline, int startcolumn, int buffersize)` Constructor.
`SimpleCharStream(InputStream dstream, String encoding)` Constructor.
`SimpleCharStream(InputStream dstream, String encoding, int startline, int startcolumn)` Constructor.
`SimpleCharStream(InputStream dstream, String encoding, int startline, int startcolumn, int buffersize)` Constructor.
`SimpleCharStream(Reader dstream)` Constructor.
`SimpleCharStream(Reader dstream, int startline, int startcolumn)` Constructor.
`SimpleCharStream(Reader dstream, int startline, int startcolumn, int buffersize)` Constructor.

Method Summary
`static void` | `adjustBeginLineColumn(int newLine, int newCol)` Method to adjust line and column numbers for the start of a token.
`static void` | `backup(int amount)` Backup a number of characters.
`static char` | `BeginToken()` Start.
`static void` | `Done()` Reset buffer when finished.
`protected static void` | `ExpandBuff(boolean wrapAround)`
`protected static void` | `FillBuff()`
`static int` | `getBeginColumn()` Get token beginning column number.
`static int` | `getBeginLine()` Get token beginning line number.
`static int` | `getColumn()` Deprecated.
`static int` | `getEndColumn()` Get token end column number.
`static int` | `getEndLine()` Get token end line number.
`static String` | `GetImage()` Get token literal value.
`static int` | `getLine()` Deprecated.
`static char[]` | `GetSuffix(int len)` Get the suffix.
`protected static int` | `getTabSize(int i)`
`static char` | `readChar()` Read a character.
`void` | `ReInit(InputStream dstream)` Reinitialise.
`void` | `ReInit(InputStream dstream, int startline, int startcolumn)` Reinitialise.
`void` | `ReInit(InputStream dstream, int startline, int startcolumn, int buffersize)` Reinitialise.
`void` | `ReInit(InputStream dstream, String encoding)` Reinitialise.
`void` | `ReInit(InputStream dstream, String encoding, int startline, int startcolumn)` Reinitialise.
`void` | `ReInit(InputStream dstream, String encoding, int startline, int startcolumn, int buffersize)` Reinitialise.
`void` | `ReInit(Reader dstream)` Reinitialise.
`void` | `ReInit(Reader dstream, int startline, int startcolumn)` Reinitialise.
`void` | `ReInit(Reader dstream, int startline, int startcolumn, int buffersize)` Reinitialise.
`protected static void` | `setTabSize(int i)`
`protected static void` | `UpdateLineColumn(char c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### staticFlag

    public static final boolean staticFlag

  Whether parser is static.

  See Also:
    Constant Field Values

### bufpos

    public static int bufpos

  Position in buffer.

### bufline

    protected static int[] bufline

### bufcolumn

    protected static int[] bufcolumn

### column

    protected static int column

### line

    protected static int line

### prevCharIsCR

    protected static boolean prevCharIsCR

### prevCharIsLF

    protected static boolean prevCharIsLF

### inputStream

    protected static Reader inputStream

### buffer

    protected static char[] buffer

### maxNextCharInd

    protected static int maxNextCharInd

### inBuf

    protected static int inBuf

### tabSize

    protected static int tabSize

Constructor Detail

### SimpleCharStream

    public SimpleCharStream(Reader dstream,
                            int startline,
                            int startcolumn,
                            int buffersize)

  Constructor.

### SimpleCharStream

    public SimpleCharStream(Reader dstream,
                            int startline,
                            int startcolumn)

  Constructor.

### SimpleCharStream

    public SimpleCharStream(Reader dstream)

  Constructor.

### SimpleCharStream

    public SimpleCharStream(InputStream dstream,
                            String encoding,
                            int startline,
                            int startcolumn,
                            int buffersize)
                     throws UnsupportedEncodingException

  Constructor.

  Throws:
    `UnsupportedEncodingException`

### SimpleCharStream

    public SimpleCharStream(InputStream dstream,
                            int startline,
                            int startcolumn,
                            int buffersize)

  Constructor.

### SimpleCharStream

    public SimpleCharStream(InputStream dstream,
                            String encoding,
                            int startline,
                            int startcolumn)
                     throws UnsupportedEncodingException

  Constructor.

  Throws:
    `UnsupportedEncodingException`

### SimpleCharStream

    public SimpleCharStream(InputStream dstream,
                            int startline,
                            int startcolumn)

  Constructor.

### SimpleCharStream

    public SimpleCharStream(InputStream dstream,
                            String encoding)
                     throws UnsupportedEncodingException

  Constructor.

  Throws:
    `UnsupportedEncodingException`

### SimpleCharStream

    public SimpleCharStream(InputStream dstream)

  Constructor.

Method Detail

### setTabSize

    protected static void setTabSize(int i)

### getTabSize

    protected static int getTabSize(int i)

### ExpandBuff

    protected static void ExpandBuff(boolean wrapAround)

### FillBuff

    protected static void FillBuff()
                            throws IOException

  Throws:
    `IOException`

### BeginToken

    public static char BeginToken()
                           throws IOException

  Start.

  Throws:
    `IOException`

### UpdateLineColumn

    protected static void UpdateLineColumn(char c)

### readChar

    public static char readChar()
                         throws IOException

  Read a character.

  Throws:
    `IOException`

### getColumn

    public static int getColumn()

  Deprecated.

  See Also:
    `getEndColumn()`

### getLine

    public static int getLine()

  Deprecated.

  See Also:
    `getEndLine()`

### getEndColumn

    public static int getEndColumn()

  Get token end column number.

### getEndLine

    public static int getEndLine()

  Get token end line number.

### getBeginColumn

    public static int getBeginColumn()

  Get token beginning column number.

### getBeginLine

    public static int getBeginLine()

  Get token beginning line number.

### backup

    public static void backup(int amount)

  Backup a number of characters.

### ReInit

    public void ReInit(Reader dstream,
                       int startline,
                       int startcolumn,
                       int buffersize)

  Reinitialise.

### ReInit

    public void ReInit(Reader dstream,
                       int startline,
                       int startcolumn)

  Reinitialise.

### ReInit

    public void ReInit(Reader dstream)

  Reinitialise.

### ReInit

    public void ReInit(InputStream dstream,
                       String encoding,
                       int startline,
                       int startcolumn,
                       int buffersize)
                throws UnsupportedEncodingException

  Reinitialise.

  Throws:
    `UnsupportedEncodingException`

### ReInit

    public void ReInit(InputStream dstream,
                       int startline,
                       int startcolumn,
                       int buffersize)

  Reinitialise.

### ReInit

    public void ReInit(InputStream dstream,
                       String encoding)
                throws UnsupportedEncodingException

  Reinitialise.

  Throws:
    `UnsupportedEncodingException`

### ReInit

    public void ReInit(InputStream dstream)

  Reinitialise.

### ReInit

    public void ReInit(InputStream dstream,
                       String encoding,
                       int startline,
                       int startcolumn)
                throws UnsupportedEncodingException

  Reinitialise.

  Throws:
    `UnsupportedEncodingException`

### ReInit

    public void ReInit(InputStream dstream,
                       int startline,
                       int startcolumn)

  Reinitialise.

### GetImage

    public static String GetImage()

  Get token literal value.

### GetSuffix

    public static char[] GetSuffix(int len)

  Get the suffix.

### Done

    public static void Done()

  Reset buffer when finished.

### adjustBeginLineColumn

    public static void adjustBeginLineColumn(int newLine,
                                             int newCol)

  Method to adjust line and column numbers for the start of a token.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group